Bug 1758256 (CVE-2019-17056)

Summary: CVE-2019-17056 kernel: unprivileged access to llcp_sock_create in net/nfc/llcp_sock.c in the AF_NFC socket type.
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, airlied, bdettelb, bhu, blc, brdeoliv, bskeggs, dhoward, dvlasenk, esammons, fhrbata, hdegoede, hkrzesin, iboverma, ichavero, itamar, jarodwilson, jeremy, jforbes, jglisse, jlelli, john.j5live, jonathan, josef, jross, jschorr, jshortt, jstancek, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, masami256, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, steved, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-04 07:04:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1758257    
Bug Blocks: 1758258    

Description Dhananjay Arunesh 2019-10-03 16:57:02 UTC
A vulnerability was found in llcp_sock_create in net/nfc/llcp_sock.c in the AF_NFC network module in the Linux kernel does not enforce CAP_NET_RAW, which means that unprivileged users can create a raw socket.

Reference:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0edc3f703f7bcaf550774b5d43ab727bcd0fe06b
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=3a359798b176183ef09efb7a3dc59abad1cc7104

Comment 1 Dhananjay Arunesh 2019-10-03 16:59:00 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1758257]

Comment 2 Fedora Update System 2019-10-25 18:06:49 UTC
kernel-5.3.6-100.fc29, kernel-headers-5.3.6-100.fc29, kernel-tools-5.3.6-100.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Wade Mealing 2019-12-04 02:32:25 UTC
Its kinda hard to consider this to be privilege escalation.  It may be expected that raw sockets are not available to all users most people think of "networked" sockets, not this NFC protocol.

In addition, no shipping versions of RHEL support this protocol.

Comment 4 Product Security DevOps Team 2019-12-04 07:04:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-17056